<?PHP
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Free Web Based Training System                          //
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Plate-forme de téléformation gratuite et en open source //
// ------------------------------------------------------------------------- //
// Copyright (C) 2001-2003  Anéma Formation  <http://www.anema.fr/>          //
// ------------------------------------------------------------------------- //
//            Developer : Georges CALDEIRA <gcaldeira@anemalab.org>          //
// ------------------------------------------------------------------------- //
//               Infos on project <http://anemalab.org/>                     //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //
/**
* Page admin de la partie Admin
* @author	Georges Caldeira <gcaldeira@anemalab.org>
* @package	GaneshaAdmin
*/
	/**
	* include des fichiers + verification de la cnx
	*/
	include_once("anema.inc.php");

	debugf(__FILE__);

	/**#@+
    * @access public
	* @ignore
	*/
	define('SUBMENU',	MENU_ADMIN)	;
	define('ACTION',	(isset($HTTP_GET_VARS['action'])?$HTTP_GET_VARS['action']:''))	;
	define('ID',		$ClsMembre->GetIdRoot())	;
	define('PAGE',		HTTP_ADMIN.$PAGE_ADMIN[SUBMENU]."?connexion=".$gconnexionid)	;
	/**#@-*/

/**
* Gestion de la page formulaire de l'admin
* @author	Georges Caldeira <gcaldeira@anemalab.org>
* @access	public
* @package	GaneshaAdmin
*/
class PageFormAdmin {
			
	/**
	* Affiche un formulaire pour modifier une societe
	* @access	public
	*/
     function modif() { 
		global $ad_menu, $ClsMembre, $ad_texte  ;
	    GetTitre($ad_menu[3]);
		$ret = $ClsMembre->GetFiche(ID);
		BeginFormulaire(PAGE.'&action=modif&id='.ID); 
		AddText($ad_texte['prenom'],$ret['prenom'],1)	;
		AddText($ad_texte['nom'],$ret['nom'],2)		;
		AddText($ad_texte['login'],$ret['login'],3)	;
		AddText($ad_texte['pwd'],$ret['password'],4);
		AddText($ad_texte['email'],$ret['email'],5,false);
		EndFormulaire('VerifAdmin');
        GoTop();		
     }
     
	/**
	* Affiche la liste des societes
	* @access	public
	*/
     function liste() { 
	    $this->modif()	;
     }

	/**
	* Supprime un item de la table
	* @access	public
	*/
	function del() {
		$this->modif();
	}

	/**
	* Affiche un formulaire pour une societe
	* @access	public
	*/
	function add() {
		$this->modif();
	}

	/**
	* Traitement des variables POST et redirection
	* @access	public
	*/	
	function traite_post() {
		global $HTTP_POST_VARS, $ClsAdmin  ;
		if (count($HTTP_POST_VARS) > 0) {
			switch(ACTION) {
			case 'modif':	
				$prenom 	= trim($HTTP_POST_VARS['text1'])	;
				$nom 		= trim($HTTP_POST_VARS['text2']) 	;
				$login 		= trim($HTTP_POST_VARS['text3'])	;
				$password	= trim($HTTP_POST_VARS['text4']) 	;
				$email		= trim($HTTP_POST_VARS['text5'])	;	
				$res = $ClsAdmin->modifierUserAdmin(ID,$nom,$prenom,$email,$login,$password);
				location(PAGE.'&action=liste');
				exit();
				break;			
			}
		}
	}

	/**
	* Traitement des variables GET et redirection
	* @access	public
	*/		
	function traite_get() {
		return(true);
	}	
	
} // class 


/**
* Instance de la classe PageFormAdmin
* @var	object	PageFormAdmin
*/
$ClsPageAdmin = new PageFormAdmin ;

	
	// Affichage de la page
	pageAdmin();

?>